@import url("https://fonts.googleapis.com/css2?family=Bellota:ital,wght@0,300;0,400;0,700;1,300;1,400;1,700&display=swap");
@import "/css/animations.css";
@import "/css/variables.css";
@import "/css/semantic-overrides.css";

body {
  font-family: "Bellota";
  font-weight: bold;
  margin: 0;
  display: flex;
  flex-direction: column;
}

a {
  text-decoration: none;
  color: inherit;
}

.hero-bg {
  background: url("../images/buns.jpg");
  background-position: 35% 15%;
  color: white;
  text-align: center;
  padding-bottom: 4em;
  overflow: hidden;
}

header {
  padding: 1em 0;
}

.hero-bg a {
  font-size: 1.2rem;
}

section {
  margin: 0 1em;
}

h1 {
  font-size: 2.5rem;
  margin: 2em 0 1.2em;
}

.hero-bg h1 span {
  text-transform: uppercase;
  display: block;
  font-size: 1.4rem;
  position: relative;
  z-index: 1;
}

.hero-bg h1 span::before {
  position: absolute;
  bottom: 0.1em;
  margin-left: -0.2em;

  width: 3em;
  border-radius: var(--border-radius);

  content: "";
  background-color: var(--secondary-color);
  height: 0.3em;
  z-index: -1;
}

.hero-bg p {
  margin: 0 1em 3em;
}

.form-container {
  margin: 2em -2em 0;
}

.form-container label {
  color: var(--primary-color);
  display: block;
  margin-bottom: 0.7em;
  font-size: 1.2em;
}

input[type="text"] {
  border: 1px solid #707070;
  width: 100%;
  padding: 12px;
  border-radius: var(--border-radius);
  box-sizing: border-box;
}

.button {
  font-family: inherit;
  font-weight: inherit;
  color: inherit;

  background-color: var(--secondary-color);
  border: none;
  width: 100%;
  padding: 1em 0;
  border-radius: var(--border-radius);
  font-size: 1.3em;
  cursor: pointer;
}

button:focus {
  outline: 0;
}

.form-container p {
  color: gray;
  margin: 0.3em 0 1.5em;
  font-weight: normal;
  font-size: 0.9rem;
}

.button:hover {
  background-color: rgb(255, 180, 104);
}

.about {
  margin: 0;
  flex: 1;
}

.about-text {
  text-align: center;
  margin: 3em 1em;
}

.about h2 {
  text-transform: uppercase;
  position: relative;
}

.about img {
  width: 100%;
}

.about h2::before {
  position: absolute;
  bottom: 0.15em;
  margin-left: -0.2em;

  width: 6.2em;
  border-radius: var(--border-radius);

  content: "";
  background-color: var(--secondary-color);
  height: 0.3em;
  z-index: -1;
}

.about p {
  line-height: 2em;
}

@media (min-width: 768px) {
  .hero-bg {
    position: relative;
    text-align: left;
    background: linear-gradient(
        90deg,
        rgba(72, 62, 63, 1) 30%,
        rgba(0, 0, 0, 0)
      ),
      url("../images/buns.jpg");
    background-repeat: no-repeat;
    background-position: 100% 10%;
  }

  .hero-bg p {
    margin: 0 0 3em;
  }

  .hero-bg section {
    width: 80%;
    margin: 0 4em;
  }

  .form-container {
    margin: 2em 0 0;
  }

  .form-container form {
    display: flex;
    align-items: center;
  }

  .form-container .form-left p {
    margin: 0.2em 0 0;
  }

  .form-container .form-left {
    flex: 3;
    padding-right: 1em;
  }

  .form-container .form-right {
    flex: 2;
  }

  .form-container .form-right button {
    padding: 7.5px 1em;
    margin-top: 0.7em;
  }

  section.about {
    display: grid;
    grid-template-columns: 1fr 2fr 2fr 1fr;
    grid-template-areas: "bulochka about react-comments punch-game";
  }

  .about-text {
    grid-area: about;
    margin: 0 1em;
    padding: 10% 10%;
    text-align: left;
    align-self: center;
  }

  img {
    grid-area: bulochka;
    object-fit: cover;
    height: 100%;
    width: 100%;
  }

  h2 {
    margin: 0;
  }
}

@media (min-width: 1366px) {
  .hero-bg section {
    width: 60%;
  }
}

.overlay {
  position: fixed;
  width: 100%;
  height: 100vh;
  z-index: 2;
  text-align: center;
  display: none;
  place-content: center;
  opacity: 0;
  background-color: rgba(0, 0, 0, 0.8);

  /* display: flex;
  justify-content: center;
  align-items: center; */
}

.card {
  background-color: white;
  padding: 2em;
  border-radius: var(--border-radius);
  box-shadow: 0 7px 9px -4px rgba(0, 0, 0, 0.2),
    0 14px 21px 2px rgba(0, 0, 0, 0.14), 0 5px 26px 4px rgba(0, 0, 0, 0.12);
}

.card h3 {
  margin: 0;
}

.thanksgiving {
  margin: 2em;
  z-index: 3;
}

.overlay.opened {
  display: grid;
  opacity: 1;
}

.widget {
  overflow: hidden;
  position: relative;
  display: flex;
  flex-direction: column;
  height: 390px;
  margin: 32px;
  padding: 0;
}
